Your submission was sent successfully! Close

CVE-2008-3144

Published: 1 August 2008

Multiple integer overflows in the PyOS_vsnprintf function in Python/mysnprintf.c in Python 2.5.2 and earlier allow context-dependent attackers to cause a denial of service (memory corruption) or have unspecified other impact via crafted input to string formatting operations. NOTE: the handling of certain integer values is also affected by related integer underflows and an off-by-one error.

Priority

Low

Status

Package Release Status
python2.4
Launchpad, Ubuntu, Debian
dapper
Released (2.4.3-0ubuntu6.2)
feisty
Released (2.4.4-2ubuntu7.2)
gutsy
Released (2.4.4-6ubuntu4.2)
hardy
Released (2.4.5-1ubuntu4.1)
upstream
Released (2.4.5-5)
python2.5
Launchpad, Ubuntu, Debian
dapper Does not exist

feisty
Released (2.5.1-0ubuntu1.2)
gutsy
Released (2.5.1-5ubuntu5.2)
hardy
Released (2.5.2-2ubuntu4.1)
upstream
Released (2.5.2-10)
Patches:
upstream: http://svn.python.org/view?rev=63883&view=rev